%define name xmms-crossfade
%define version 0.3.4
%define release 1mdk


Name:          %name
Summary:       Crossfade output plugin for XMMS
Version:       %version
Release:       %release
Group:         Sound
License:       GPL
BuildRequires: xmms 
BuildRequires: libxmms-devel
Requires:      xmms
Url:		http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/news.html
Source:        %name-%version.tar.bz2
BuildRoot:     %_tmppath/%name-buildroot

%description
xmms-crossfade: XMMS Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=%buildroot%{_libdir}/xmms/Output/
rm -f %buildroot%{_libdir}/xmms/Output/libcrossfade.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog
%{_libdir}/xmms/Output/libcrossfade.so

%changelog
* Thu Oct  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.4-1mdk
- fix buildrequires
- drop prefix
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- spec fixes
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.9-4mdk
- fix buildrequires

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.9-3mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.9-2mdk
- url

* Fri Jun 22 2001 Lenny Cartier <lenny@mandrakesoft.com>0.2.9-1mdk
- updated to 0.2.9 by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.9

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.8-1mdk
- updated to 0.2.8

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.7-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.7

* Sun Mar 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- 0.2.6

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.5

* Tue Mar 13 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.4-1mdk
- 0.2.4

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- used srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.3
	- %%configure macro

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated to 0.2.2 by Gtz Waschk <waschk@linux-mandrake.com> 

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.1
	- changed BuildReq for libxmms-devel

* Mon Nov 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- 0.2
- don't use configure macro
- fix installation

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial Mandrake build



